summaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/install.sh b/install.sh
index 6829189..355ded4 100755
--- a/install.sh
+++ b/install.sh
@@ -1,14 +1,18 @@
#!/bin/bash
-set -xeou pipefail
+set -eou pipefail
+echo "Setting up dotfiles..."
rm -f ~/.bash_profile ~/.bashrc ~/.profile
cd ~/.rc
stow --no-folding --adopt .
git restore .
+echo "Updating git remote..."
git remote set-url origin [email protected]:~a14m/.rc
+echo "Configuring GPG..."
ln -sf ~/.rc/.gnupg/pinentry-wrapper ~/.local/bin/pinentry-wrapper
envsubst < ~/.gnupg/gpg-agent.conf.template > ~/.gnupg/gpg-agent.conf
chmod 0700 ~/.gnupg
gpgconf --kill gpg-agent 2>/dev/null || true
gpg-connect-agent /bye 2>/dev/null || true
+echo "Done..."